%global forgeurl https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake
%global version 2.11.0
%global commit 58b1d48e544b463005a18b09f69b1af53011ec3d
%global date 20250710
%global gomodulesmode GO111MODULE=on
%global source_date_epoch_from_changelog 0
%global _enable_debug_packages 0
%forgemeta

Name: snowflake
Version: %{forgeversion}
Release: %{autorelease}
Summary: Snowflake pluggable transport for Tor
License: BSD-3-Clause
URL: %{forgeurl}
Source0: %{forgesource}
Source1: %{name}.howto
BuildRequires: git-core
BuildRequires: golang-bin
BuildRequires: go-rpm-macros

%description
Snowflake is a pluggable transport for Tor.
This transport relies on WebRTC.

%prep
%forgesetup

%build
export GOPROXY="https://proxy.golang.org,direct"
export GOFLAGS="-trimpath"
export GO_LDFLAGS="-s -w"
for CMD in broker client probetest proxy server
do %gobuild -o %{name}-${CMD} ./${CMD}
done

%install
for CMD in broker client probetest proxy server
do
%__install -p -D -m 755 -t %{buildroot}%{_bindir} %{name}-${CMD}
%__install -p -D -m 644 ${CMD}/README.md %{buildroot}%{_pkgdocdir}/README-${CMD}.md
done
for CMD in client server
do %__install -p -D -m 644 ${CMD}/torrc %{buildroot}%{_pkgdocdir}/${CMD}.torrc
done
for CMD in client proxy
do %__install -p -D -m 644 -t %{buildroot}%{_mandir}/man1 doc/%{name}-${CMD}.1
done
%__install -p -D -m 644 -t %{buildroot}%{_pkgdocdir} %{SOURCE1} README.md \
doc/broker-spec.txt doc/rendezvous-with-sqs.md doc/using-the-snowflake-library.md

%files
%license LICENSE
%doc %{_pkgdocdir}
%{_bindir}/*
%{_mandir}/man1/*
